com.independentsoft.exchange

## Class PersonaAttribution

- java.lang.Object
- - com.independentsoft.exchange.PersonaAttribution

-     public class PersonaAttribution
      extends java.lang.Object

  The Class PersonaAttribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonaAttribution()` Instantiates a new persona attribution.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the display name.
    `FolderId` | `getFolderId()` Gets the folder id.
    `java.lang.String` | `getId()` Gets the id.
    `ItemId` | `getSourceId()` Gets the source id.
    `boolean` | `isHidden()` Checks if is hidden.
    `boolean` | `isQuickContact()` Checks if is quick contact.
    `boolean` | `isWritable()` Checks if is writable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonaAttribution

          public PersonaAttribution()

      Instantiates a new persona attribution.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### getSourceId

          public ItemId getSourceId()

      Gets the source id.
      Returns:
        the source id

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name.
      Returns:
        the display name

    - #### isWritable

          public boolean isWritable()

      Checks if is writable.
      Returns:
        true, if is writable

    - #### isQuickContact

          public boolean isQuickContact()

      Checks if is quick contact.
      Returns:
        true, if is quick contact

    - #### isHidden

          public boolean isHidden()

      Checks if is hidden.
      Returns:
        true, if is hidden

    - #### getFolderId

          public FolderId getFolderId()

      Gets the folder id.
      Returns:
        the folder id